%define version      0.4.2
%define release      %mkrel 2.20060907.1

%define scim_version 1.4.4

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:         scim-bridge
Summary:      Scim-bridge is yet another IM client of SCIM
Version:      %{version}
Release:      %{release}
Group:        System/Internationalization
License:      GPL
URL:          http://sourceforge.jp/projects/scim-imengine/
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        %{libname} = %{version}
Requires:        scim >= %{scim_version}
BuildRequires:   scim-devel >= %{scim_version}
BuildRequires:   automake1.8 doxygen
BuildRequires:   qt3-devel

%description
Scim-bridge is yet another IM client of SCIM.
It solves SCIM's C++ ABI problems.


%package -n %{libname}
Summary:    Scim-bridge library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-bridge library.

%package    qt
Summary:    Scim-bridge for qt
Group:      System/Internationalization
Requires:   %{name} = %{version}

%description qt
scim-bridge for qt.


%prep
%setup -q -n %name
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/gtk-2.0/immodules/*.{a,la}
rm -f %{buildroot}/%_prefix/lib/qt3/plugins/inputmethods/im-scim-bridge.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{libname}
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun -n %{libname}
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/scim-bridge

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/gtk-2.0/immodules/*.so

%files qt
%defattr(-,root,root)
%doc COPYING
%_prefix/lib/qt3/plugins/inputmethods/im-scim-bridge.so


%changelog
* Thu Sep 07 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.2-2.20060907.1mdv2007.0
- latest snapshot
- fix for m17n keymaps
- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205098

* Fri Sep 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.2-1mdv2007.0
- new release

* Tue Aug 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-2mdv2007.0
- fix build on x86_64

* Mon Aug 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-1mdv2007.0
- fix explicit requires on libqt3
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Mon Aug 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.7-2mdv2007.0
- add patch0 (scim-bridge_fix_memory_violation.diff)

* Mon Jul 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.7-1mdv2007.0
- new release

* Mon Jul 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.5-1mdv2007.0
- new release

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2.20060619.1mdv2007.0
- new release
- latest snapshot

* Sun May 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.8-1mdk
- new release

* Sat Apr 29 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.7-1mdk
- new release

* Mon Apr 17 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.6-1mdk
- new release

* Fri Apr 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.5-1mdk
- first spec for Mandriva
